# Plugins
I use quite a lot of plugins, as they greatly improve my workflow or just add
features that you most definitely need if you want to use Vim as your main
editor.

## List of plugins

* [CoC](https://github.com/neoclide/coc.nvim): my autocomplete plugin of
  choice. It provide full LSP support, so many of its plugins use the exact
  same setup as a VSCode plugin.
* [CtrlP](https://github.com/ctrlpvim/ctrlp.vim): a fuzzy search tool which I
  use for most navigation.
* [vim-fugitive](https://github.com/tpope/vim-fugitive): an amazing Git client
  for Vim. It has support for all the usual stuff (commits, adding/removing
  files etc.), as well as a merge conflict resolver using Vim's built-in diff
  view.
* [vim-surround](https://github.com/tpope/vim-surround): adds mappings to
  change/remove surrounding characters (e.g. (), "", '' etc.). It integrates
  really well with already existing bindings, making it feel like it's a
  built-in feature.
* [vim-commentary](https://github.com/tpope/vim-commentary): adds mappings for
  commenting/uncommenting lines easily. It has support for basically all
  languages I ever use.
* [tagbar](https://github.com/preservim/tagbar): a sidebar chowing you the
  layout of the current file. It helps me orient myself within the file/class
  I'm currently working on, as well as easing the movement between
  classes, functions etc...
* [vim-gitgutter](https://github.com/airblade/vim-gitgutter): shows Git
  diff markers in the sidebar.
* [indentline](https://github.com/Yggdroot/indentLine): shows a visual line to
  indicate which lines are on the same indentation level.
* vim-python-pep8-indent: makes Vim properly indent Python according to PEP8
* [vim-indent-object](https://github.com/michaeljsmith/vim-indent-object):
  allows you to select the current indentation block using the same bindings as
  paragraphs, inner brackets, etc...
* NERDTree: file browser, useful for getting your bearings in a large project.
* [vim-toml](https://github.com/cespare/vim-toml): syntax highlighting for toml
  files
* [auto-pairs](https://github.com/jiangmiao/auto-pairs): auto-insert matching
  pairs
* [Tabular](https://github.com/godlygeek/tabular): useful plugin for aligning
  text
* [haskell-vim](https://github.com/neovimhaskell/haskell-vim): indentation for
  Haskell
* [ion-vim](https://github.com/vmchale/ion-vim): syntax highlighting for the
  [ion shell](https://github.com/redox-os/ion) (my current shell).
